#include "jackend.h"
#include "gui.h"

#include <stdlib.h>

int main(void)
{
  jack_stuff jack;
  mainwin w;

  /* we want to load all the files in the colormap selector, utf-8 sucks
   * for that; let's force iso-latin-1 which should work with every filename
   * one can imagine (I think)
   */
  setenv("G_FILENAME_ENCODING", "iso-8859-1", 1);

  gui_init();

  init_jack(&jack);
  init_mainwin(&w, &jack);

  gui_show(&w);
  gui_run();

  printf("\n");
  return 0;
}
