#ifndef _DEFS_H_
#define _DEFS_H_

/**
 *  \brief R3(x, A, B, C, D):
 *            f(x) calculated by linear interpolation
 *            where f(A) = C and f(B) = D.
 */

#define R3(x, A, B, C, D) \
    ((double)(C) + ((double)(x)-(double)(A)) * ((double)(D)-(double)(C)) \
                                             / ((double)(B)-(double)(A)))

#define DEF_COLORMAP_DIR "COLMAPDIR"

#endif /* _DEFS_H_ */
